org.apache.cassandra.db

## Class RangeTombstone

- java.lang.Object
- - org.apache.cassandra.utils.Interval<java.nio.ByteBuffer,DeletionTime>
  - - org.apache.cassandra.db.RangeTombstone

All Implemented Interfaces:
  OnDiskAtom

    public class RangeTombstone
    extends Interval<java.nio.ByteBuffer,DeletionTime>
    implements OnDiskAtom

### Nested Class Summary

Nested Classes
`static class` `RangeTombstone.Serializer`
`static class` `RangeTombstone.Tracker`

### Field Summary

Fields
`static RangeTombstone.Serializer` `serializer`

### Fields inherited from class org.apache.cassandra.utils.Interval

`data, max, min`

### Constructor Summary

Constructors
Constructor and Description
`RangeTombstone(java.nio.ByteBuffer start, java.nio.ByteBuffer stop, DeletionTime delTime)`
`RangeTombstone(java.nio.ByteBuffer start, java.nio.ByteBuffer stop, long markedForDeleteAt, int localDeletionTime)`

### Method Summary

Methods
`int` `getLocalDeletionTime()`
`long` `maxTimestamp()`
`long` `minTimestamp()` For a standard column, this is the same as timestamp().
`java.nio.ByteBuffer` `name()`
`int` `serializedSize(TypeSizes typeSizes)`
`long` `serializedSizeForSSTable()`
`boolean` `supersedes(RangeTombstone rt, java.util.Comparator<java.nio.ByteBuffer> comparator)` This tombstone supersedes another one if it is more recent and cover a bigger range than rt.
`void` `updateDigest(java.security.MessageDigest digest)`
`void` `validateFields(CFMetaData metadata)`

### Methods inherited from class org.apache.cassandra.utils.Interval

`create, create, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final RangeTombstone.Serializer serializer

### Constructor Detail

#### RangeTombstone

    public RangeTombstone(java.nio.ByteBuffer start,
                  java.nio.ByteBuffer stop,
                  long markedForDeleteAt,
                  int localDeletionTime)

#### RangeTombstone

    public RangeTombstone(java.nio.ByteBuffer start,
                  java.nio.ByteBuffer stop,
                  DeletionTime delTime)

### Method Detail

#### name

    public java.nio.ByteBuffer name()

Specified by:
  `name` in interface `OnDiskAtom`

#### getLocalDeletionTime

    public int getLocalDeletionTime()

Specified by:
  `getLocalDeletionTime` in interface `OnDiskAtom`

#### minTimestamp

    public long minTimestamp()

Description copied from interface: `OnDiskAtom`
For a standard column, this is the same as timestamp(). For a super column, this is the min/max column timestamp of the sub columns.

Specified by:
  `minTimestamp` in interface `OnDiskAtom`

#### maxTimestamp

    public long maxTimestamp()

Specified by:
  `maxTimestamp` in interface `OnDiskAtom`

#### serializedSize

    public int serializedSize(TypeSizes typeSizes)

Specified by:
  `serializedSize` in interface `OnDiskAtom`

#### serializedSizeForSSTable

    public long serializedSizeForSSTable()

Specified by:
  `serializedSizeForSSTable` in interface `OnDiskAtom`

#### validateFields

    public void validateFields(CFMetaData metadata)
                        throws MarshalException

Specified by:
  `validateFields` in interface `OnDiskAtom`
Throws:
  `MarshalException`

#### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

Specified by:
  `updateDigest` in interface `OnDiskAtom`

#### supersedes

    public boolean supersedes(RangeTombstone rt,
                     java.util.Comparator<java.nio.ByteBuffer> comparator)

This tombstone supersedes another one if it is more recent and cover a bigger range than rt.